<?php
/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午9:24
 * Description:
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

declare(strict_types=1);

namespace App\Dao\Company;

use App\Dao\AbstractDao;
use App\Model\FirstCompany;

/**
 * Author: ykxiao
 * Date: 2025/6/5
 * Time: 下午9:25
 * Description: 平台公司数据访问层.
 *
 * (c) ykxiao <yk_9001@hotmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */
class FirstCompanyDao extends AbstractDao
{
    public function getModel(): string
    {
        return FirstCompany::class;
    }

    public function getFields(): array
    {
        return [
            'id',
            'domain',
            'name',
            'full_name',
            'company_type',
            'address',
            'logo',
            'owner',  // 公司负责人
            'id_card', // 法人身份证
            'mobile',
            'org_code',
            'remark',
            'active_status',
            'activation_date',
            'created_at',
            'updated_at',
        ];
    }
}